> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get an Entry schema by ID

GET https://{tenant_name}.benchling.com/api/v2/entry-schemas/{schema_id}

Get an Entry schema by ID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/schemas/get-entry-schema

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `schema_id` (string, required) — ID of schema to get

## Response

### 200

OK

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `fieldDefinitions` (list of EntrySchemaDetailedFieldDefinitionsItems, optional)
- `id` (string, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `entry`
- `prefix` (string, optional)
- `registryId` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the Entry Schema was last modified

## Errors

### 400 Bad Request Error

Bad Entry

- `any`

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### ArchiveRecord

- `reason` (string, optional)

### EntrySchemaDetailedFieldDefinitionsItems

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### SimpleFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### IntegerFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### FloatFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `decimalPrecision` (double, optional, nullable)
- `legalTextDropdownId` (string, optional, nullable)
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### DropdownFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `dropdownId` (string, optional, nullable)

### SchemaLinkFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `schemaId` (string, optional, nullable)

### UnitSummary

- `id` (string, optional)
- `name` (string, optional)
- `symbol` (string, optional)
- `unitTypeId` (string, optional)

## Examples

**Response**

```json
{
  "archiveRecord": {
    "reason": "Made in error"
  },
  "fieldDefinitions": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "id": "tsf_HXUnClU9",
      "isMulti": true,
      "isRequired": true,
      "name": "Resistance Gene",
      "type": "dna_sequence_link"
    }
  ],
  "id": "string",
  "name": "string",
  "type": "entry",
  "prefix": "string",
  "registryId": "string",
  "modifiedAt": "2017-04-18T05:55:48.685345+00:00"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/entry-schemas/schema_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/entry-schemas/schema_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```